
@font-face {
  font-family: 'DBHelvethaica';
  src: url('/frontend/fonts/DB-Helvethaica-X-v3_2.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'DBHelvethaica';
  src: url('/frontend/fonts/DB-Helvethaica-X-Blk-v3_2.ttf') format('truetype');
  font-weight: 900;
  font-style: normal;
}

@font-face {
  font-family: 'DBHelvethaica';
  src: url('/frontend/fonts/DB-Helvethaica-X-Bd-v3_2.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: 'DBHelvethaica';
  src: url('/frontend/fonts/DB-Helvethaica-X-Med-v3_2.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: 'DBHelvethaica';
  src: url('/frontend/fonts/DB-Helvethaica-X-Li-v3_2.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: 'DBHelvethaica';
  src: url('/frontend/fonts/DB-Helvethaica-X-Thin-v3_2.ttf') format('truetype');
  font-weight: 200;
  font-style: normal;
}

@font-face {
  font-family: 'DBHelvethaica';
  src: url('/frontend/fonts/DB-Helvethaica-X-UlLi-v3_2.ttf') format('truetype');
  font-weight: 100;
  font-style: normal;
}

body {
  font-family: 'DBHelvethaica', sans-serif;
  font-size: 20px;
  font-weight: 400;
  text-rendering: optimizeLegibility; /* ช่วยเรื่องการตัดคำและการวางสระ */
  -webkit-font-smoothing: antialiased; /* ทำให้ฟอนต์ดูเนียนขึ้นบน Mac/iOS */
}

h1, .h1 {font-size: 70px; font-weight: 600;}
h2, .h2 {font-size: 34px; font-weight: 600;}
h3, .h3 {font-size: 30px; font-weight: 400;}
h4, .h4 {font-size: 26px; font-weight: 500;}
h5, .h5 {font-size: 22px; font-weight: 500;}
h6, .h6 {font-size: 18px; font-weight: 500;}

p {line-height: 1.3;}

a {line-height: initial;}

.custom-navbar .nav-link {
  font-size: 22px;
  font-weight: 600;
}

.lang-item { font-size: 18px; }

.btn-main { font-size: 26px; line-height: normal; }
.btn-main.white { font-size: 20px; }

.footer { font-size: 19px }
.footer .menu.about li { font-size: 21px; }

.hero h5 { line-height: 1; }

.form-control { font-size: 20px; }
.form-check-label { font-size: 19px; }

.btn-filter { font-size: 20px; }
.dropdown-menu-custom .dropdown-item { font-size: 18px; }

.accordion-button { font-size: 23px; }

.search #search-input { font-size: 20px; }

@media (max-width: 991px) {
  h1, .h1 {font-size: 50px;}
  h2, .h2 {font-size: 30px;}
  h3, .h3 {font-size: 24px;}
  h4, .h4 {font-size: 22px;}
  h5, .h5 {font-size: 20px;}
  h6, .h6 {font-size: 16px;}
  .btn-main { font-size: 22px; }
  .custom-navbar .nav-link { font-size: 23px; }
  .custom-navbar .dropdown-item { font-size: 21px; }
}

@media (max-width: 480px) {
  h1, .h1 {font-size: 44px;}
  h2, .h2 {font-size: 28px;}
}
